# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PTaskPartitioner

Packages that use ParForProgramBlock.PTaskPartitioner
Package
Description
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.controlprogram.parfor

## Uses of ParForProgramBlock.PTaskPartitioner in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return ParForProgramBlock.PTaskPartitioner
Modifier and Type
Method
Description
`static ParForProgramBlock.PTaskPartitioner`
ParForProgramBlock.PTaskPartitioner.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.PTaskPartitioner[]`
ParForProgramBlock.PTaskPartitioner.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram with parameters of type ParForProgramBlock.PTaskPartitioner
Modifier and Type
Method
Description
`void`
ParForProgramBlock.`setTaskPartitioner(ParForProgramBlock.PTaskPartitioner partitioner)`

## Uses of ParForProgramBlock.PTaskPartitioner in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor with parameters of type ParForProgramBlock.PTaskPartitioner
Modifier and Type
Method
Description
`static TaskPartitioner`
TaskPartitionerFactory.`createTaskPartitioner(ParForProgramBlock.PTaskPartitioner type, IntObject from, IntObject to, IntObject incr, long taskSize, int numThreads, String iterPredVar)`